Retrieve a wallet provider
Roles
Analytics Events
/v2/presentations/wallet-providers/{walletProviderId}Retrieves an existing wallet provider that can present mDocs for online verification.
Analytic events
- CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_START
- CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_SUCCESS
- CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier for the wallet provider.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/presentations/wallet-providers/281d20b3-42a3-40dd-b29a-115ff32b02b7"{
"id": "e63a2e46-5afa-48f9-bcc2-2114cf5f331b",
"name": "Example wallet provider",
"openid4vpConfiguration": {
"authorizationEndpoint": "com-example.wallet://"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve all wallet providers GET
Retrieves all existing wallet providers that can present mDocs for online verification. ### **Analytic events** * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_LIST_START * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_LIST_SUCCESS * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_LIST_FAIL
Update a wallet provider PUT
Updates an existing wallet provider that can present mDocs for online verification. ### **Analytic events** * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_UPDATE_START * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_UPDATE_SUCCESS * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_UPDATE_FAIL